declare type EventHandler = (e: Event) => void;
declare type TinyTouch = {
    identifier: number;
    pageX: number;
    pageY: number;
};
export default class EventManager {
    private el;
    name: string;
    private debug;
    private handlers;
    private currentTouches;
    private startDistance;
    private scale;
    private previousScale;
    private isClick;
    private isDragging;
    private isMouseDown;
    private previousCenter;
    private touchIdentifier;
    private previousLocation;
    private delta;
    private previousDelta;
    constructor(element: Element);
    setup: () => void;
    setdown: () => void;
    _setStartDistance: () => void;
    _pinchStart: (e: TouchEvent) => void;
    _pinchEnd: (e: TouchEvent) => void;
    _pinchCancel: (e: any) => void;
    _pinchMove: (e: any) => void;
    setupPinch: () => void;
    _distance: (touch1: TinyTouch | Touch, touch2: TinyTouch | Touch) => number;
    debugEvent: (e: TouchEvent | MouseEvent) => void;
    addHandler: (eventName: string, fn: EventHandler) => void;
    callHandler: (eventName: string, event: CustomEvent<any>) => void;
    _mousedown: (e: TouchEvent | MouseEvent) => void;
    _getEvent: (e: TouchEvent | MouseEvent) => Touch | MouseEvent;
    _mousemove: (e: TouchEvent | MouseEvent) => void;
    _mouseup: (e: TouchEvent | MouseEvent) => void;
    onTap: (fn: EventHandler) => void;
    onMove: (fn: EventHandler) => void;
    onMoveEnd: (fn: EventHandler) => void;
    onPinch: (fn: EventHandler) => void;
}
export {};
