import { Connection, Node } from '../Canvas/Models';
export declare type State = {
    id: string;
    workflowName: string;
    workflowDescription: string;
    nodes: Node[];
    connections: Connection[];
    selectedNode: Node | null;
    selectedConnection: Connection | null;
};
export declare type WorkflowProps = {
    workflow: any;
    workflowChanged?: (workflow: any) => any;
    scale?: number;
    snapToGrid?: boolean;
    showGrid?: boolean;
    render?: (add: any, save: any, updateNode: any, removeNode: any, selectedNode: Node | null) => void;
};
export declare type SerializedPoint = {
    x: number;
    y: number;
};
export declare type SerializedNode = {
    name: string;
    id: string;
    icon: string;
    position: SerializedPoint;
};
export declare type SerializedConnection = {
    from: string;
    to: string;
    id: string;
};
export declare type SerializedWorkflow = {
    id: string;
    name: string;
    description: string;
    nodes: SerializedNode[];
    connections: SerializedConnection[];
};
