import { Connection, Node } from '../Canvas/Models';
import { Point } from '../Canvas/Models/Point';
import { SerializedWorkflow } from '../Workflow/Types';
import { State } from './Types';
export declare class WorkflowData {
    static loadState(jsonWorkflow: SerializedWorkflow, options: any): State;
    static selectNode(state: State, node: Node | null): {
        selectedConnection: {
            id: number;
        } | null;
        selectedNode: Node | null;
        id: string;
        workflowName: string;
        workflowDescription: string;
        nodes: Node[];
        connections: Connection[];
    };
    static selectConnection(state: any, conn: Connection | null): any;
    static updateNode: (state: State, node: Node) => {
        nodes: Node[];
        connections: Connection[];
        id: string;
        workflowName: string;
        workflowDescription: string;
        selectedNode: Node | null;
        selectedConnection: Connection | null;
    };
    static removeNode(state: State, node: Node): {
        nodes: Node[];
        connections: Connection[];
        selectedNode: null;
        id: string;
        workflowName: string;
        workflowDescription: string;
        selectedConnection: Connection | null;
    };
    static removeConnection(state: State, conn: Connection): {
        connections: Connection[];
        selectedConnection: null;
        id: string;
        workflowName: string;
        workflowDescription: string;
        nodes: Node[];
        selectedNode: Node | null;
    };
    static createConnection(state: State, from: Node, to: Node): State;
    static insertNode(state: State, data: {
        name: string;
        id: string;
        icon: string;
    }): {
        nodes: Node[];
        id: string;
        workflowName: string;
        workflowDescription: string;
        connections: Connection[];
        selectedNode: Node | null;
        selectedConnection: Connection | null;
    };
    static getNewPosition(state: State): Point;
    static export(state: State): SerializedWorkflow;
}
